#include <bits/stdc++.h>

using namespace std;
int main() {
	ifstream f1("DQND.INP");
	ofstream f2("DQND.OUT");
	string s;
	int i;
	f1>>s;
	for(i=s.size()-1;i>=0;i--)
	{ f2<<s[i];
	}
	f2<<endl<<s.size();
	return 0;
}

